# -*- coding: utf-8 -*-
# @Author  : ChenZhaoyuchen
# @Time    : 2024/9/13 15:02
# @File    : Save_bili.py

from utils.GetResponse import *
import requests

def SaveAV(session: requests.session(),url,title,v_url,a_url):
    # 设置请求头
    headers_bili_av['Referer'] = url
    headers_bili_ref['Referer'] = url

    # 获取准许
    session.options(v_url, headers=headers_bili_ref)
    session.options(a_url, headers=headers_bili_ref)

    A_content = session.get(a_url, headers=headers_bili_av).content
    V_content = session.get(v_url, headers=headers_bili_av).content

    with open(Audio_path + title + Audio_format, mode='wb') as audio:
        audio.write(A_content)
    with open(Video_path + title + Video_format, mode='wb') as video:
        video.write(V_content)

def SaveAudio(session,url,title,a_url):
    # 设置请求头
    headers_bili_av['Referer'] = url
    headers_bili_ref['Referer'] = url

    # 获取准许
    session.options(a_url, headers=headers_bili_ref)
    A_content = session.get(a_url, headers=headers_bili_av).content

    # 下载程序
    print('开始下载音频...')
    print('路径为:',Audio_path)
    with open(Audio_path + title + Audio_format, mode='wb') as audio:
        audio.write(A_content)
    print('音频下载结束')


