# -*- coding: utf-8 -*-
# @Author  : ChenZhaoyuchen
# @Time    : 2024/9/20 8:59
# @File    : Clip_bili.py

from .GetVideoInfo import *
from .Save_bili import *
from moviepy.editor import *
import requests

def downloads():
    # 程序参数
    session = requests.session()
    title = GetTitile()
    v_url = GetVideoInfo()
    a_url = GetAudioInfo()

    # 主程序操作
    # 1.下载
    SaveAV(session,url,title,v_url,a_url)
    # 2.合并
    audio_path = fr"{Audio_path}{title}{Audio_format}"
    audio_clip = AudioFileClip(audio_path)
    video_path = fr"{Video_path}{title}{Video_format}"
    video_clip = VideoFileClip(video_path)
    audio_clip = audio_clip.set_duration(video_clip.duration)
    video_clip_with_audio = video_clip.set_audio(audio_clip)
    video_clip_with_audio.write_videofile(fr"{Synth_path}{title}{Video_format}", codec="libx264", audio_codec="aac")

def downloadsAudio():
    # 程序参数
    session = requests.session()
    title = GetTitile()
    a_url = GetAudioInfo()
    # 主程序操作
    SaveAudio(session,url,title,a_url)
